OVH Community, votre nouvel espace communautaire.

Ecofax ou Mom sous Linux : une vrai catastrophe !!!


stepson
09/03/2013, 10h43
pour les petits malins qui diraient, supprime le lien avant chaque mise à jour d'ubuntu, ben qu'ils essayent, ca engendre de nouvelles erreurs ;-) j'ai essayé ;-)
il faudrait juste corriger le script pour que ce soit lui à ce moment là qui met à jour le lien s'il n'est pas correct mais il ne faudrait pas qu'il bloque.

stepson
09/03/2013, 10h39
exemple de log d'erreur (ecofax tout à la fin)

nstallArchives() failed: Prconfiguration des paquets...
Prconfiguration des paquets...
Prconfiguration des paquets...
Prconfiguration des paquets...
(Reading database ...
(Reading database ... 5%%
(Reading database ... 10%%
(Reading database ... 15%%
(Reading database ... 20%%
(Reading database ... 25%%
(Reading database ... 30%%
(Reading database ... 35%%
(Reading database ... 40%%
(Reading database ... 45%%
(Reading database ... 50%%
(Reading database ... 55%%
(Reading database ... 60%%
(Reading database ... 65%%
(Reading database ... 70%%
(Reading database ... 75%%
(Reading database ... 80%%
(Reading database ... 85%%
(Reading database ... 90%%
(Reading database ... 95%%
(Reading database ... 100%%
(Reading database ... 510163 files and directories currently installed.)
Preparing to replace libpciaccess0:i386 0.12.902-1ubuntu0.1 (using .../libpciaccess0_0.12.902-1ubuntu0.2_i386.deb) ...
De-configuring libpciaccess0 ...
Unpacking replacement libpciaccess0:i386 ...
Preparing to replace libpciaccess0 0.12.902-1ubuntu0.1 (using .../libpciaccess0_0.12.902-1ubuntu0.2_amd64.deb) ...
Unpacking replacement libpciaccess0 ...
Setting up libpciaccess0:i386 (0.12.902-1ubuntu0.2) ...
Setting up libpciaccess0 (0.12.902-1ubuntu0.2) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
(Reading database ...
(Reading database ... 5%%
(Reading database ... 10%%
(Reading database ... 15%%
(Reading database ... 20%%
(Reading database ... 25%%
(Reading database ... 30%%
(Reading database ... 35%%
(Reading database ... 40%%
(Reading database ... 45%%
(Reading database ... 50%%
(Reading database ... 55%%
(Reading database ... 60%%
(Reading database ... 65%%
(Reading database ... 70%%
(Reading database ... 75%%
(Reading database ... 80%%
(Reading database ... 85%%
(Reading database ... 90%%
(Reading database ... 95%%
(Reading database ... 100%%
(Reading database ... 510163 files and directories currently installed.)
Preparing to replace acpi-support 0.140 (using .../acpi-support_0.140.1_amd64.deb) ...
Unpacking replacement acpi-support ...
Preparing to replace linux-sound-base 1.0.25+dfsg-0ubuntu1 (using .../linux-sound-base_1.0.25+dfsg-0ubuntu1.1_all.deb) ...
Unpacking replacement linux-sound-base ...
Preparing to replace alsa-base 1.0.25+dfsg-0ubuntu1 (using .../alsa-base_1.0.25+dfsg-0ubuntu1.1_all.deb) ...
Unpacking replacement alsa-base ...
Preparing to replace firefox-globalmenu 19.0+build1-0ubuntu0.12.04.2 (using .../firefox-globalmenu_19.0.2+build1-0ubuntu0.12.04.1_amd64.deb) ...
Unpacking replacement firefox-globalmenu ...
Preparing to replace firefox 19.0+build1-0ubuntu0.12.04.2 (using .../firefox_19.0.2+build1-0ubuntu0.12.04.1_amd64.deb) ...
Unpacking replacement firefox ...
Preparing to replace firefox-gnome-support 19.0+build1-0ubuntu0.12.04.2 (using .../firefox-gnome-support_19.0.2+build1-0ubuntu0.12.04.1_amd64.deb) ...
Unpacking replacement firefox-gnome-support ...
Preparing to replace firefox-locale-en 19.0+build1-0ubuntu0.12.04.2 (using .../firefox-locale-en_19.0.2+build1-0ubuntu0.12.04.1_amd64.deb) ...
Unpacking replacement firefox-locale-en ...
Preparing to replace firefox-locale-fr 19.0+build1-0ubuntu0.12.04.2 (using .../firefox-locale-fr_19.0.2+build1-0ubuntu0.12.04.1_amd64.deb) ...
Unpacking replacement firefox-locale-fr ...
Preparing to replace im-switch 1.20ubuntu5.1 (using .../im-switch_1.20ubuntu5.2_all.deb) ...
update-alternatives: using /etc/X11/xinit/xinput.d/default-xim to provide /etc/X11/xinit/xinput.d/all_ALL (xinput-all_ALL) in auto mode.
update-alternatives: using /etc/X11/xinit/xinput.d/none to provide /etc/X11/xinit/xinput.d/all_ALL (xinput-all_ALL) in auto mode.
update-alternatives: using /etc/X11/xinit/xinput.d/th-gtk to provide /etc/X11/xinit/xinput.d/th_TH (xinput-th_TH) in auto mode.
Unpacking replacement im-switch ...
Preparing to replace xserver-common 2:1.11.4-0ubuntu10.11 (using .../xserver-common_2%%3a1.11.4-0ubuntu10.12_all.deb) ...
Unpacking replacement xserver-common ...
Preparing to replace xserver-xorg-core 2:1.11.4-0ubuntu10.11 (using .../xserver-xorg-core_2%%3a1.11.4-0ubuntu10.12_amd64.deb) ...
Unpacking replacement xserver-xorg-core ...
Preparing to replace nvidia-current 295.40-0ubuntu1.2 (using .../nvidia-current_295.40-0ubuntu1.3_amd64.deb) ...
Removing all DKMS Modules
Done.
Unpacking replacement nvidia-current ...
Preparing to replace tomboy 1.10.1-0ubuntu1 (using .../tomboy_1.10.1-0ubuntu2_amd64.deb) ...
Unpacking replacement tomboy ...
Preparing to replace aptdaemon-data 0.43+bzr805-0ubuntu7 (using .../aptdaemon-data_0.43+bzr805-0ubuntu8_all.deb) ...
Unpacking replacement aptdaemon-data ...
Preparing to replace python-aptdaemon.gtkwidgets 0.43+bzr805-0ubuntu7 (using .../python-aptdaemon.gtkwidgets_0.43+bzr805-0ubuntu8_all.deb) ...
Unpacking replacement python-aptdaemon.gtkwidgets ...
Preparing to replace python-aptdaemon.pkcompat 0.43+bzr805-0ubuntu7 (using .../python-aptdaemon.pkcompat_0.43+bzr805-0ubuntu8_all.deb) ...
Unpacking replacement python-aptdaemon.pkcompat ...
Preparing to replace python-aptdaemon.gtk3widgets 0.43+bzr805-0ubuntu7 (using .../python-aptdaemon.gtk3widgets_0.43+bzr805-0ubuntu8_all.deb) ...
Unpacking replacement python-aptdaemon.gtk3widgets ...
Preparing to replace aptdaemon 0.43+bzr805-0ubuntu7 (using .../aptdaemon_0.43+bzr805-0ubuntu8_all.deb) ...
Unpacking replacement aptdaemon ...
Preparing to replace python-aptdaemon 0.43+bzr805-0ubuntu7 (using .../python-aptdaemon_0.43+bzr805-0ubuntu8_all.deb) ...
Unpacking replacement python-aptdaemon ...
Processing triggers for man-db ...
Processing triggers for ureadahead ...
ureadahead will be reprofiled on next reboot
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Processing triggers for menu ...
Processing triggers for shared-mime-info ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Processing triggers for gconf2 ...
Processing triggers for hicolor-icon-theme ...
Setting up ecofax (1.1.2-1) ...
ln: impossible de crer le lien symbolique /usr/bin/ecofax: Le fichier existe
dpkg: error processing ecofax (--configure):
subprocess installed post-installation script returned error exit status 1
Setting up acpi-support (0.140.1) ...
Installing new version of config file /etc/acpi/asus-touchpad.sh ...
update-rc.d: warning: /etc/init.d/acpi-support missing LSB information
update-rc.d: see
Setting up linux-sound-base (1.0.25+dfsg-0ubuntu1.1) ...
Setting up alsa-base (1.0.25+dfsg-0ubuntu1.1) ...
Setting up firefox (19.0.2+build1-0ubuntu0.12.04.1) ...
Please restart all running instances of firefox, or you will experience problems.
Setting up firefox-globalmenu (19.0.2+build1-0ubuntu0.12.04.1) ...
Setting up firefox-gnome-support (19.0.2+build1-0ubuntu0.12.04.1) ...
Setting up firefox-locale-en (19.0.2+build1-0ubuntu0.12.04.1) ...
Setting up firefox-locale-fr (19.0.2+build1-0ubuntu0.12.04.1) ...
Setting up im-switch (1.20ubuntu5.2) ...
Installing new version of config file /etc/X11/Xsession.d/80im-switch ...
update-alternatives: using /etc/X11/xinit/xinput.d/default to provide /etc/X11/xinit/xinput.d/all_ALL (xinput-all_ALL) in auto mode.
update-alternatives: using /etc/X11/xinit/xinput.d/lo-gtk to provide /etc/X11/xinit/xinput.d/lo_TH (xinput-lo_TH) in auto mode.
update-alternatives: using /etc/X11/xinit/xinput.d/th-xim to provide /etc/X11/xinit/xinput.d/th_TH (xinput-th_TH) in auto mode.
Setting up xserver-common (2:1.11.4-0ubuntu10.12) ...
Setting up xserver-xorg-core (2:1.11.4-0ubuntu10.12) ...
Setting up nvidia-current (295.40-0ubuntu1.3) ...
update-initramfs: deferring update (trigger activated)
INFO:Enable nvidia-current
DEBUG:Parsing /usr/share/nvidia-common/quirks/put_your_quirks_here
DEBUG:Parsing /usr/share/nvidia-common/quirks/dell_latitude
DEBUG:Parsing /usr/share/nvidia-common/quirks/lenovo_thinkpad
DEBUG:Processing quirk Latitude E6530
DEBUG:Failure to match Vostro 1720 with Latitude E6530
DEBUG:Quirk doesn't match
DEBUG:Processing quirk ThinkPad T420s
DEBUG:Failure to match Dell Inc. with LENOVO
DEBUG:Quirk doesn't match
Loading new nvidia-current-295.40 DKMS files...
Building only for 3.2.0-38-generic
Building for architecture x86_64
Building initial module for 3.2.0-38-generic
Done.

nvidia_current:
Running module version sanity check.
- Original module
- No original module exists within this kernel
- Installation
- Installing to /lib/modules/3.2.0-38-generic/updates/dkms/

depmod....

DKMS: install completed.
Setting up tomboy (1.10.1-0ubuntu2) ...
Setting up aptdaemon-data (0.43+bzr805-0ubuntu8) ...
Setting up python-aptdaemon (0.43+bzr805-0ubuntu8) ...
Setting up python-aptdaemon.gtkwidgets (0.43+bzr805-0ubuntu8) ...
Setting up python-aptdaemon.pkcompat (0.43+bzr805-0ubuntu8) ...
Setting up python-aptdaemon.gtk3widgets (0.43+bzr805-0ubuntu8) ...
Setting up aptdaemon (0.43+bzr805-0ubuntu8) ...
Processing triggers for menu ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.2.0-38-generic


Errors were encountered while processing:
ecofax
Error in function:
Setting up ecofax (1.1.2-1) ...
ln: impossible de crer le lien symbolique /usr/bin/ecofax: Le fichier existe
dpkg: error processing ecofax (--configure):
subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
ecofax

stepson
09/03/2013, 10h37
Ecofax v1.1.2 64 bits sous ubuntu me gène un peu. En effet, il bloque le système de mise à jour. Le paquet contient des erreurs et à chaque mise à jour d'autre chose, ca se finit en "erreur" à cause du paquet ecofax (pas bloquant, il suffit d'ignorer la chose et de ne pas signaler le bug à ubuntu puisque c'est un paquet tiers), mais c'est génant. Corriger le script d'install ne doit pas être bien sorcier....

Est ce qu'un paquet propre est prévu pour corriger ce souci sur EcoFax 64 bits pour linux ?

En dehors de ca, tout marche nickel

stepson
08/10/2012, 08h56
j'ai pu m'en sortir !

suppression des fichiers manuellement comme suggéré par nicolefranc, puis

christophe@sq6-laptop-cc:/$ sudo apt-get purge ecofax
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS*:
ecofax:i386*
0 mis à jour, 0 nouvellement installés, 1 à enlever et 99 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 21,7 Mo d'espace disque seront libérés.
Souhaitez-vous continuer [O/n]*? o
(Lecture de la base de données...
dpkg*: avertissement*:*le fichier contenant la liste des fichiers du paquet «*ecofax:i386*» étant manquant, il est considéré qu'aucun fichier du paquet n'est actuellement installé.
(Lecture de la base de données... 573260 fichiers et répertoires déjà installés.)
Suppression de ecofax:i386 ...

stepson
08/10/2012, 08h44
j'ai eu le souci en voulant installer la version 64 bits la 32 n'étant pas désinstallée...
ensuite je tourne en rond et je suis toujours bloqué. je teste la suggestion de nicolefranc

nicolefranc
04/10/2012, 23h10
j'ai aussi eu des problèmes lors de la désinstallation d'ecofax.
j'ai fait un
cd / && sudo find . | grep ecofax
puis j'ai supprimé tous les fichiers correspondant aux réponses de la commande ci-dessus
ai ensuite redémarré, puis désinstallé ecofax via GDebi
l'ai réinstallé et tout s'est alors passé correctement

nicolefranc
04/10/2012, 23h06
Je viens de tester la nouvelle version d'ecofax, la 1.1..2 avec succès sur Lubuntu 12.04. Après avoir râlé dans mon précédent message ça fait plaisir.

Par contre quid de MoM pour Linux ? Un .deb en prévision ? Toujours pas de readme.txt (pour expliquer la méthode d'installation par exemple) dans l'archive du logiciel dispo sur le site d'ovh. Une nouvelle version fonctionnelle de prévue avant Noël ???

fchantret
28/08/2012, 14h38
Citation Envoyé par stepson
petit souci, je n'arrive plus à désinstaller la version i386 du 1.1.2

tantot le script se plaint de ne pas trouver /usr/bin/EcoFax, tantot que l'imprimante n'est pas trouvée dans lpadmin.

paquet cassé dont je n'arrive plus à me débarrasser.



sudo apt-get purge ecofax:i386
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS*:
ecofax:i386*
0 mis à jour, 0 nouvellement installés, 1 à enlever et 4 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 21,7 Mo d'espace disque seront libérés.
Souhaitez-vous continuer [O/n]*? o
(Lecture de la base de données... 573289 fichiers et répertoires déjà installés.)
Suppression de ecofax:i386 ...
lpadmin: The printer or class does not exist.
dpkg*: erreur de traitement de ecofax:i386 (--purge)*:
le sous-processus script pre-removal installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution*:
ecofax:i386
E: Sub-process /usr/bin/dpkg returned an error code (1)

ou :

sudo apt-get remove ecofax:i386 -f
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS*:
ecofax:i386
0 mis à jour, 0 nouvellement installés, 1 à enlever et 4 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 21,7 Mo d'espace disque seront libérés.
Souhaitez-vous continuer [O/n]*? o
(Lecture de la base de données... 573289 fichiers et répertoires déjà installés.)
Suppression de ecofax:i386 ...
rm: impossible de supprimer «/usr/bin/EcoFax»: Aucun fichier ou dossier de ce type
dpkg*: erreur de traitement de ecofax:i386 (--remove)*:
le sous-processus script pre-removal installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution*:
ecofax:i386
E: Sub-process /usr/bin/dpkg returned an error code (1)
hmmm, bizarre. Le binaire n'est réellement plus à sa place ? Il n'y a pas eu de MAJ depuis un bail... le fait que le binaire ne soit plus là n'est pas normal.

Avez vous réessayer de forcer l'installation du paquet puis refaire une désinstallation ?

stepson
28/08/2012, 12h33
petit souci, je n'arrive plus à désinstaller la version i386 du 1.1.2

tantot le script se plaint de ne pas trouver /usr/bin/EcoFax, tantot que l'imprimante n'est pas trouvée dans lpadmin.

paquet cassé dont je n'arrive plus à me débarrasser.



sudo apt-get purge ecofax:i386
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS*:
ecofax:i386*
0 mis à jour, 0 nouvellement installés, 1 à enlever et 4 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 21,7 Mo d'espace disque seront libérés.
Souhaitez-vous continuer [O/n]*? o
(Lecture de la base de données... 573289 fichiers et répertoires déjà installés.)
Suppression de ecofax:i386 ...
lpadmin: The printer or class does not exist.
dpkg*: erreur de traitement de ecofax:i386 (--purge)*:
le sous-processus script pre-removal installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution*:
ecofax:i386
E: Sub-process /usr/bin/dpkg returned an error code (1)

ou :

sudo apt-get remove ecofax:i386 -f
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS*:
ecofax:i386
0 mis à jour, 0 nouvellement installés, 1 à enlever et 4 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 21,7 Mo d'espace disque seront libérés.
Souhaitez-vous continuer [O/n]*? o
(Lecture de la base de données... 573289 fichiers et répertoires déjà installés.)
Suppression de ecofax:i386 ...
rm: impossible de supprimer «/usr/bin/EcoFax»: Aucun fichier ou dossier de ce type
dpkg*: erreur de traitement de ecofax:i386 (--remove)*:
le sous-processus script pre-removal installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution*:
ecofax:i386
E: Sub-process /usr/bin/dpkg returned an error code (1)

fchantret
06/07/2012, 12h08
Citation Envoyé par stepson
preneur de la version 64 bits si elle est dispo.

pour le moment, je jongle avec un petit script maison qui installe (en ignorant les dépendances) ecofax et le désinstalle après chaque utilisation car il y a des dépendances cassées qui bloque le gestionnaire de mise à jour autrement.

utilisateur ubuntu 64 bits pas encore 12.04 mais la précédente, mais le pb est le même depuis la précédente encore. pour moi pb depuis plusieurs versions d'ubuntu en 64 bits.

la solution, j'installe/désinstalle ecofax à chaque utilisation comme ca il ne bloque pas le reste du systeme.
La version 64 bits est disponible depuis quelques jours. Rendez vous sur le site pour la télécharger

stepson
04/07/2012, 14h07
preneur de la version 64 bits si elle est dispo.

pour le moment, je jongle avec un petit script maison qui installe (en ignorant les dépendances) ecofax et le désinstalle après chaque utilisation car il y a des dépendances cassées qui bloque le gestionnaire de mise à jour autrement.

utilisateur ubuntu 64 bits pas encore 12.04 mais la précédente, mais le pb est le même depuis la précédente encore. pour moi pb depuis plusieurs versions d'ubuntu en 64 bits.

la solution, j'installe/désinstalle ecofax à chaque utilisation comme ca il ne bloque pas le reste du systeme.

fchantret
04/06/2012, 17h19
Bonjour,

Pour information, la dernière version de EcoFax sortie vendredi est compatible Ubuntu 12.04 LTS en 32 bits.

Il en sera de même pour la prochaine version de MoM.

A noter, que nous sommes en train d"intégrer un mécanime de build 64 bits.

Nous devrions donc prochainement distribuer les 2 architectures et ainsi améliorer le déploiement suite à l'utilisation plus massive des architectures 64 bits.

fchantret
21/05/2012, 13h48
Bonjour,

Ubuntu 12.04 LTS étant sorti postérieurement à nos logiciels, il est tout à fait possible que la dernière version de nos logiciels en ligne ne soient pas encore compatible avec celle-ci.

Les prochaines versions publiées de nos logiciels seront bien évidemment adaptés pour fonctionner sous Ubuntu 12.04 LTS.

En ce qui concerne Windows 2003 TSE, nous regarderons. Nos derniers tests n'ont pas mis en évidence de dysfonctionnement sur une configuration standard.

Il conviendra donc de procéder à un diagnostic plus poussé pour votre cas.

nicolefranc
20/05/2012, 18h03
Autant on peut accepter des bugs sur des logiciels développés par des contributeurs gratuits sur de l'open source, mais comment est-il possible de développer et surtout de distribuer des logiciels qui ne fonctionnent pas lorsqu'on s'appelle ovh ?

Pour ma part :
ecofax pour linux version : "ecofax_1.0a15-1_i386.deb" téléchargée depuis le site officiel
mon architecture : lubuntu 12.04 à jour
je lance l'installation :
nicolas@nicolas-EB1007:~/Téléchargements$ sudo dpkg -i ecofax_1.0a15-1_i386.deb Selecting previously unselected package ecofax.
(Lecture de la base de données... 134306 fichiers et répertoires déjà installés.)
Dépaquetage de ecofax (à partir de ecofax_1.0a15-1_i386.deb) ...
dpkg*: des problèmes de dépendances empêchent la configuration de ecofax*:
ecofax dépend de gsfonts-x11*; cependant*:
Le paquet gsfonts-x11 n'est pas installé.
dpkg*: erreur de traitement de ecofax (--install)*:
problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution*:
ecofax
je résouds (enfin je pensais) les problèmes de dépendances :
nicolas@nicolas-EB1007:~/Téléchargements$ sudo apt-get -f install
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets supplémentaires suivants seront installés*:
gsfonts-x11
Les NOUVEAUX paquets suivants seront installés*:
gsfonts-x11
0 mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/9 108 o dans les archives.
Après cette opération, 119 ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n]*? O
Selecting previously unselected package gsfonts-x11.
(Lecture de la base de données... 134332 fichiers et répertoires déjà installés.)
Dépaquetage de gsfonts-x11 (à partir de .../gsfonts-x11_0.22_all.deb) ...
Traitement des actions différées («*triggers*») pour «*fontconfig*»...
Paramétrage de gsfonts-x11 (0.22) ...
Paramétrage de ecofax (1.0a15-1) ...
lpadmin: Unable to open PPD file "/usr/share/ppd/cups-included/postscript.ppd" - Aucun fichier ou dossier de ce type
dpkg*: erreur de traitement de ecofax (--configure)*:
le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution*:
ecofax
E: Sub-process /usr/bin/dpkg returned an error code (1)
Malgré le message d'erreur Unable to open PPD file "/usr/share/ppd/cups-included/postscript.ppd", je lance un éditeur de texte, écrit deux lignes, imprime sur l'imprimante ecofax et... rien ne se passe.

ecofax sur windows 2003 server en mode TSE
ecofax ne fonctionne pas, impossible de lancer une impression depuis word car on obtient un écran figé...

Mom sous Linux
version : "MoM-4.1.15.tar.gz" téléchargée depuis le site officiel
mon architecture : lubuntu 12.04 à jour
téléchargement, extraction du fichier puis cd MoM/ && sudo ./MoM et voilà le résultat :
après on peut voir que du monde essai de trouver des solutions comme nlerow

MAIS, QUAND MEME C'EST FOU qu'une boite comme ovh puisse mettre en ligne des logiciels qui ne fonctionnent pas ! ubuntu est quand même la deuxième distrib la plus téléchargée après mint (sources distrowatch.com), alors avant de mettre une distrib en ligne, normalement
on la teste sur les distrib les plus connues
on la reteste régulièrement en fonction des maj a jour des distrib connues
on corrige les bugs et seulement après, on met en ligne non ?

CCL : ecofax ou mom ne sont pas des logiciels utilisables en prod car ils n'équivalent même pas un windows 95...